# permissions for end users to edit byohostpools.
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRole
metadata:
  labels:
    app.kubernetes.io/name: clusterrole
    app.kubernetes.io/instance: byohostpool-editor-role
    app.kubernetes.io/component: rbac
    app.kubernetes.io/created-by: byohostpool
    app.kubernetes.io/part-of: byohostpool
    app.kubernetes.io/managed-by: kustomize
  name: byohostpool-editor-role
rules:
- apiGroups:
  - pools.kanod.io
  resources:
  - byohostpools
  verbs:
  - create
  - delete
  - get
  - list
  - patch
  - update
  - watch
- apiGroups:
  - pools.kanod.io
  resources:
  - byohostpools/status
  verbs:
  - get
